/****************************************************************
	Copyright (c) XXXX SANEI ELECTRIC INC.
	All Rights Reserved
  
	System       : BL-112 vO
	Filename     : -
	System layer : -

	Edit date    : -

	Comment      :
*****************************************************************/
#include "stdafx.h"

#include "fileedt.h"


//
UINT8	fullfilename[MAX_PATH];
UINT8	filename[MAX_FILENAME];
UINT8	filesize[MAX_FILESIZE];
UINT8	file_rd_buf[MAX_READ_BUF];
UINT32	read_size;

//֐̃vg^Cv
BOOLEAN FileOpen(HWND hWnd);

/****************************************************************
Function :
	BOOLEAN FileOpen

Comment :

*****************************************************************/
BOOLEAN FileOpen(HWND hWnd)
{
    OPENFILENAME		ofn;

	read_size=0;

	memset(&ofn,          0x00, sizeof(OPENFILENAME));
	memset(&fullfilename, 0x00, sizeof(fullfilename));
	memset(&filename,     0x00, sizeof(filename));

	ofn.lStructSize    = sizeof(OPENFILENAME);		// ׸Ļ
	ofn.hwndOwner      = hWnd;		// enh
	ofn.lpstrFilter    = "BIN/TEXT file(*.bin; *.prn)\0*.prn; *.bin\0All Files(*.*)\0*.*\0\0";
	/*
					 , ̧يgq
		"MOT file(*.mot"), *.prn
		"ALL Files(*.*)  , *.*
	*/

	ofn.lpstrFile      = fullfilename;
	/*
	fullfilename: GetOpenFileName֐ł΂ꂽtpXt̃t@Ci[
	fullfilename߲w
	*/

    ofn.nMaxFile       = MAX_PATH;	// lpstrFilȇ傫
	ofn.Flags          = OFN_FILEMUSTEXIST | OFN_HIDEREADONLY;
	/*
	OFN_FILEMUSTEXIST: ݂Ȃ̧ٖɑ΂Čx
	OFN_HIDEREADONLY: ذ޵ذBOXB
	*/

    ofn.lpstrDefExt    = "prn";			// ̫Ă̊gq
	ofn.nMaxFileTitle  = MAX_FILENAME;	// lpstrFileTitlȇ傫
	ofn.lpstrFileTitle = filename;
	/*
	filename: ̧ٖ (PASSȂ), ߲w
	*/

	ofn.lpstrTitle     = "File Open";	// Open Window 

	if (GetOpenFileName(&ofn)!=0)
	{
		HANDLE		file_handle;
		DWORD		file_size;			// ̧ٻ (޲ذ)
		DWORD		true_read_size;
		BOOL		res;

		file_handle = CreateFile(
			fullfilename,	// pointer to name of the file
			GENERIC_READ,	// access (read-write) mode
			0,				// share mode
			NULL,			// pointer to security attributes
			OPEN_EXISTING,	// how to create
			FILE_ATTRIBUTE_NORMAL,	// file attributes
			NULL);

		if(file_handle==INVALID_HANDLE_VALUE)
		{ // ֐̎s
			read_size=0;
			CloseHandle(file_handle);
			return FALSE;
		}

		file_size=GetFileSize(file_handle,NULL);	// ̧ٻނ̎擾

		if(file_size == 0xFFFFFFFF)
		{ // (-1) ̧ٻނ̎擾s
			read_size=0;
			CloseHandle(file_handle);
			return FALSE;
		}

		res = ReadFile(
			file_handle,		// ̧ (ǂݎ̧Ȱ)
			file_rd_buf,		// ذޯ̧ (擾ꂽް̊i[ޯ̧)
			file_size,			// ǂݎĂقoCg
			&true_read_size,	// ۂɓǂݎƂꂽoCgi[GA
			NULL);

		CloseHandle(file_handle);

		if (res == 0)
		{ // ReadFile֐̎s
			read_size=0;
			return FALSE;
		}

		if( file_size==true_read_size )
		{ // ɓǂݎꂽ
			read_size=true_read_size;
			return TRUE;
		}
		else
		{ // ǂݎ̎s
			read_size=0;
			return FALSE;
		}
    }
	else
	{ // GetOpenFileName֐̎s
		read_size=0;
		return FALSE;
	}
}
/****************************************************************/
/****************************************************************/
/****************************************************************/
/****************************************************************/
/* EOF */
