/*******************************************************************
	Copyright (c) XXXX SANEI ELECTRIC INC.
	All Rights Reserved
  
	System      : -
	Filename    : -
	System layer: -

	Last rfix date: -

	Comment: Win32 Application Start Module
********************************************************************/
#include <windows.h>

#include "rule.h"
#include "rsport.h"

#include "bht_module.h"
#include "func.h"
#include "Interface.h"

FileSendStack		filestk;
/****************************************************************
Function : BlueSend_Frame

Comment :

*****************************************************************/		
BOOLEAN BlueSend_Frame(UINT8 event)
{
	BOOLEAN		ret=FALSE;

	SET_SEND_EVENT_(event);

	switch (event)
	{
	case SEND_GSE:

		{
			UINT8	send_buf[10];
			UINT16	i=0;

			send_buf[i++] = GS;
			send_buf[i++] = 'E';
			send_buf[i++] = 0x4;
			send_buf[i++] = 'S';
			send_buf[i++] = 'N';
			send_buf[i++] = 'E';
			send_buf[i++] = 'I';

			ret=RsPort_SendTxData(send_buf, i);
		}
		break;

	case SEND_GSR:
		{
			UINT8	send_buf[10];
			UINT16	i=0;

			send_buf[i++] = GS;
			send_buf[i++] = 'R';
			send_buf[i++] = 0x1;

			ret=RsPort_SendTxData(send_buf, i);
		}
		break;

	case SEND_DATA:

		{
FileSendStack*		prc=&filestk;

			UINT8	data_buf[DATA_SIZE_MAX+10];
			UINT32	data_size = read_size;
			UINT32	i;

			if (data_size > DATA_SIZE_MAX)
			{
				prc->data_size = DATA_SIZE_MAX;	
			}
			else
			{
				prc->data_size = data_size;
			}

			for (i=0; i<prc->data_size; i++)
				data_buf[i] = file_rd_buf[i];

			data_buf[i++] = GS;
			data_buf[i++] = 'R';
			data_buf[i++] = 0x1;

			ret=RsPort_SendTxData(data_buf, i);
		}
		break;
	}

	return ret;
}
/****************************************************************
Function : Bhtprcmd_ClrStack

Comment :

*****************************************************************/
void BlueSend_ClrFileStack(void)
{
FileSendStack*		prc=&filestk;

	prc->add_data_size = 0;
	prc->end_of_file = FALSE;
}
/********************************************************************/
/********************************************************************/
/********************************************************************/
/********************************************************************/
